using Plugin.Maui.Audio;

namespace MusiLib.Views;

public partial class Accueil : ContentPage, IAllowClick
{

    private readonly IAudioManager audioManager;

    public Accueil(IAudioManager audioManager)
	{
		InitializeComponent();

        this.audioManager = audioManager;
    }

    private void GoToFavorisButton(object sender, EventArgs e)
    {
        if (!IAllowClick.AllowTap) return;
        else IAllowClick.AllowTap = false;

        Navigation.PushAsync(new Favoris());

        IAllowClick.ResumeTap();
    }

    private void GoToPartitionButton(object sender, EventArgs e)
    {
        if (!IAllowClick.AllowTap) return;
        else IAllowClick.AllowTap = false;

        Navigation.PushAsync(new Partition());

        IAllowClick.ResumeTap();
    }

    private async void Button_Clicked(object sender, EventArgs e)
    {
        /*var player = new Windows.Media.Playback.MediaPlayer();
        var uri = new Uri($"C:/Users/Utilisateur/Documents/Cours/SAE/SAE_201/ViewsApp/ViewsApp/Resources/Raw/au_clair_de_la_lune.mp3");
        player.SetUriSource(uri);
        player.Volume = 0.5;
        player.Play();*/

        var player = audioManager.CreatePlayer(await FileSystem.OpenAppPackageFileAsync("au_clair_de_la_lune.wav"));
        player.Volume = 1;
        player.Play();

    }
}